<?xml version="1.0"?>
<!DOCTYPE T_SOFTWARE_IMAGE [
<!ELEMENT T_SOFTWARE_IMAGE (asup:TABLE_INFO,asup:ROW*,asup:ABORT?)>
<!ATTLIST T_SOFTWARE_IMAGE xmlns CDATA #FIXED "http://asup_search.netapp.com/ns/T_SOFTWARE_IMAGE/1.0">
<!ATTLIST T_SOFTWARE_IMAGE xmlns:asup CDATA #FIXED "http://asup_search.netapp.com/ns/ASUP/1.1">
<!ATTLIST T_SOFTWARE_IMAGE smf_table_name CDATA #REQUIRED>
<!ATTLIST T_SOFTWARE_IMAGE smf_table_desc CDATA #REQUIRED>
<!ATTLIST T_SOFTWARE_IMAGE col_time_us CDATA #REQUIRED>
<!ATTLIST T_SOFTWARE_IMAGE cluster_uuid CDATA "0">
<!ATTLIST T_SOFTWARE_IMAGE node_uuid CDATA #REQUIRED>
<!ATTLIST T_SOFTWARE_IMAGE node_sn CDATA #REQUIRED>
<!ATTLIST T_SOFTWARE_IMAGE data_scope CDATA #REQUIRED>
<!ELEMENT asup:TABLE_INFO (asup:field+)>
<!ELEMENT asup:field (asup:tag,asup:smf_name,asup:ui_name,asup:type,asup:qualification,asup:remap)>
<!ELEMENT asup:tag (#PCDATA)>
<!ELEMENT asup:smf_name (#PCDATA)>
<!ELEMENT asup:ui_name (#PCDATA)>
<!ELEMENT asup:type (#PCDATA)>
<!ELEMENT asup:list (asup:li+)>
<!ELEMENT asup:li (#PCDATA)>
<!ATTLIST asup:type is_list (true|false) "false">
<!ELEMENT asup:qualification (#PCDATA)>
<!ELEMENT asup:remap (#PCDATA)>
<!ELEMENT asup:ABORT (#PCDATA)>
<!ELEMENT asup:ROW (node,image,isdefault,iscurrent,kernel_path,rootfs_path,version,install_date,client,change,deltas,build_time,build_type,build_info,force_setdefault,newest_is_default)>
<!ATTLIST asup:ROW col_time_us CDATA #REQUIRED>
<!ELEMENT node (#PCDATA)><!ELEMENT image (#PCDATA)><!ELEMENT isdefault (#PCDATA)><!ELEMENT iscurrent (#PCDATA)><!ELEMENT kernel_path (#PCDATA)><!ELEMENT rootfs_path (#PCDATA)><!ELEMENT version (#PCDATA)><!ELEMENT install_date (#PCDATA)><!ELEMENT client (#PCDATA)><!ELEMENT change (#PCDATA)><!ELEMENT deltas (#PCDATA)><!ELEMENT build_time (#PCDATA)><!ELEMENT build_type (#PCDATA)><!ELEMENT build_info (#PCDATA)><!ELEMENT force_setdefault (#PCDATA)><!ELEMENT newest_is_default (#PCDATA)>]>

<T_SOFTWARE_IMAGE col_time_us="1534705444157369" smf_table_name="software_image" smf_table_desc="Software Image" cluster_uuid="00000000-0000-0000-0000-000000000000" node_uuid="" node_sn="" data_scope="node" xmlns="http://asup_search.netapp.com/ns/T_SOFTWARE_IMAGE/1.0" xmlns:asup="http://asup_search.netapp.com/ns/ASUP/1.1" >
<asup:TABLE_INFO>
<asup:field>
	<asup:tag>node</asup:tag>
	<asup:smf_name>node</asup:smf_name>
	<asup:ui_name>Node</asup:ui_name>
	<asup:type>filername</asup:type>
	<asup:qualification>key</asup:qualification>
	<asup:remap>hash</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>image</asup:tag>
	<asup:smf_name>image</asup:smf_name>
	<asup:ui_name>Image Name</asup:ui_name>
	<asup:type>systemImage</asup:type>
	<asup:qualification>key</asup:qualification>
	<asup:remap>hash</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>isdefault</asup:tag>
	<asup:smf_name>isdefault</asup:smf_name>
	<asup:ui_name>Is Default Image</asup:ui_name>
	<asup:type>boolean</asup:type>
	<asup:qualification>write</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>iscurrent</asup:tag>
	<asup:smf_name>iscurrent</asup:smf_name>
	<asup:ui_name>Is Current Image</asup:ui_name>
	<asup:type>boolean</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>kernel_path</asup:tag>
	<asup:smf_name>kernel-path</asup:smf_name>
	<asup:ui_name>Kernel Image Path</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>hash</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>rootfs_path</asup:tag>
	<asup:smf_name>rootfs-path</asup:smf_name>
	<asup:ui_name>Root Filesystem Image Path</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>hash</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>version</asup:tag>
	<asup:smf_name>version</asup:smf_name>
	<asup:ui_name>Software Version</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>install_date</asup:tag>
	<asup:smf_name>installdate</asup:smf_name>
	<asup:ui_name>Install Date</asup:ui_name>
	<asup:type>DateAndTime</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>client</asup:tag>
	<asup:smf_name>client</asup:smf_name>
	<asup:ui_name>Build Client</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>hash</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>change</asup:tag>
	<asup:smf_name>change</asup:smf_name>
	<asup:ui_name>Build Change Number</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>deltas</asup:tag>
	<asup:smf_name>deltas</asup:smf_name>
	<asup:ui_name>Build Deltas in Client</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>build_time</asup:tag>
	<asup:smf_name>build-time</asup:smf_name>
	<asup:ui_name>Build Time</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>build_type</asup:tag>
	<asup:smf_name>build-type</asup:smf_name>
	<asup:ui_name>Build Type</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>hash</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>build_info</asup:tag>
	<asup:smf_name>build-info</asup:smf_name>
	<asup:ui_name>Build Information</asup:ui_name>
	<asup:type>text</asup:type>
	<asup:qualification>read</asup:qualification>
	<asup:remap>hash</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>force_setdefault</asup:tag>
	<asup:smf_name>force-setdefault</asup:smf_name>
	<asup:ui_name>Force Setting Image as Default</asup:ui_name>
	<asup:type>True</asup:type>
	<asup:qualification>write</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
<asup:field>
	<asup:tag>newest_is_default</asup:tag>
	<asup:smf_name>newest-image-as-default</asup:smf_name>
	<asup:ui_name>Newest Image As Default</asup:ui_name>
	<asup:type>True</asup:type>
	<asup:qualification>write</asup:qualification>
	<asup:remap>noop</asup:remap>
</asup:field>
</asup:TABLE_INFO>
<asup:ROW col_time_us="1534705444158805">
	<node>dcs-netapp5</node>
	<image>image1</image>
	<isdefault>true</isdefault>
	<iscurrent>true</iscurrent>
	<kernel_path>/cfcard/x86_64/freebsd/image1/kernel</kernel_path>
	<rootfs_path>/cfcard/x86_64/freebsd/image1/rootfs.img</rootfs_path>
	<version>8.2.4</version>
	<install_date>6/17/2017 15:53:24</install_date>
	<client>R8.2.4xN_151027_1011</client>
	<change>3509692</change>
	<deltas>unknown</deltas>
	<build_time>151027141225PDT</build_time>
	<build_type>OPTIMIZE</build_type>
	<build_info>BRANCH: DOT/R8.2.4x
maxBBChg: 3509692
maxChange: 3509692
8.2.4
</build_info>
	<force_setdefault />
	<newest_is_default />
</asup:ROW>
<asup:ROW col_time_us="1534705444159925">
	<node>dcs-netapp5</node>
	<image>image2</image>
	<isdefault>false</isdefault>
	<iscurrent>false</iscurrent>
	<kernel_path>/cfcard/x86_64/freebsd/image2/kernel</kernel_path>
	<rootfs_path>/cfcard/x86_64/freebsd/image2/rootfs.img</rootfs_path>
	<version>8.2.2</version>
	<install_date>4/29/2015 19:42:36</install_date>
	<client>R8.2.2xN_140822_0059</client>
	<change>2513983</change>
	<deltas>unknown</deltas>
	<build_time>140822060417PDT</build_time>
	<build_type>OPTIMIZE</build_type>
	<build_info>BRANCH: DOT/R8.2.2x
maxBBChg: 2513983
maxChange: 2513983
8.2.4
</build_info>
	<force_setdefault />
	<newest_is_default />
</asup:ROW>
</T_SOFTWARE_IMAGE>
